Loading...
Searching...
No Matches
net::InterfaceIPv4Info Struct Reference

Interface specific IPv4 info. More...

## Public Attributes

boolean | enabled
| `true` if IPv4 is enabled
IpConfigMethod | configMethod
| Interface configuration method.
vector< IpAddrCidr > | addrsCidr
| List of active IPv4 addresses with prefix length.
string | dhcpServerAddr
| IPv4 address of DHCP server or empty.
string | dhcpPreferredHostname
| Preferred hostname (only used with DHCP)

## Detailed Description

Interface specific IPv4 info.

Definition at line 120 of file Net.idl.

## Member Data Documentation

## addrsCidr

vector<IpAddrCidr> net::InterfaceIPv4Info::addrsCidr

List of active IPv4 addresses with prefix length.

Definition at line 123 of file Net.idl.

## configMethod

IpConfigMethod net::InterfaceIPv4Info::configMethod

Interface configuration method.

Definition at line 122 of file Net.idl.

## dhcpPreferredHostname

string net::InterfaceIPv4Info::dhcpPreferredHostname

Preferred hostname (only used with DHCP)

Definition at line 125 of file Net.idl.

## dhcpServerAddr

string net::InterfaceIPv4Info::dhcpServerAddr

IPv4 address of DHCP server or empty.

Definition at line 124 of file Net.idl.

## enabled

boolean net::InterfaceIPv4Info::enabled

`true` if IPv4 is enabled

Definition at line 121 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl